<?php
class ctl_mall_dialog extends mod_mall_dialog {

	//获取商品,按规格列表，供选择
	function act_goods() {
		$this->arr_list = $this->get_goods();
		return $this->get_view(); //显示页面
	}
	//店铺列表样式一,选择框，返回 id, 名称
	function act_shop() {
		//是否为管理员
		if(!cls_obj::get("cls_user")->is_admin()) {
			cls_error::on_error("no_limit");
		}
		$this->arr_list = $this->get_shop();
		return $this->get_view(); //显示页面
	}
	//商品分类列表样式一,选择框，返回 json对象
	function act_goods_category() {
		$pid = (int)fun_get::get("url_pid");
		$id = (int)fun_get::get("url_id");
		if(!empty($id) && empty($pid) ) {
			$obj_rs = cls_obj::db()->get_one("select category_pid from " . cls_config::DB_PRE . "mall_goods_category where category_id='" . $id . "'");
			if(!empty($obj_rs)) $pid = $obj_rs['category_pid'];
		}
		$this->arr_list = $this->get_goods_category($pid);
		return $this->get_view(); //显示页面
	}
	//商品分类列表样式一,选择框，返回 json对象
	function act_brand() {
		$this->arr_list = $this->get_brand();
		return $this->get_view(); //显示页面
	}
}